SIGSUM-KEY-VERIFY(1)

NAME
sigsum-key-verify - verify Ed25519 signature

SYNOPSIS
sigsum-key verify [--help] [-k key-file] [-n namespace] [-s sig-file] < msg

DESCRIPTION
Verify an Ed25519 signature with a given namespace. The namespaces that are used in the Sigsum system are 'sigsum.org/v1/tree-leaf' (signed checksums) and 'sigsum.org/v1/submit-token' (rate limiting). The default behavior is to not use any namespace.

The message to verify is provided on stdin.

OPTIONS

--help
    Show usage message and exit

-k, --key=key-file

    Public key in OpenSSH format (required)

-n, --namespace=namespace

    Signature namespace to ensure domain separation

-s, --signature=sig-file

    Signature in hex format (required)

RETURN CODES
A non-zero return code is used to indicate failure.

CONTACT
Send an email to the sigsum-general mailing list at sigsum-general@lists.sigsum.org. You can also reach out in room #sigsum at OFTC.net and matrix.org.

REPORTING BUGS
Use the issue tracker located at https://git.glasklar.is/sigsum/core/sigsum-go/-/issues. To file issues without a GitLab account, send an email to sigsum-core-sigsum-go-issues@incoming.glasklar.is and wait for a maintainer to make the issue public.

SEE ALSO
sigsum-key-from-hex(1) sigsum-key-from-vkey(1) sigsum-key-generate(1) sigsum-key-sign(1) sigsum-key-to-hash(1) sigsum-key-to-hex(1) sigsum-key-to-vkey(1) sigsum-key-verify(1) sigsum-monitor(1) sigsum-submit(1) sigsum-token(1) sigsum-tools(5) sigsum-verify(1)